//
//  IPMenulet.m
//  IPMenulet
//
/* 
Copyright (c) 2005, Andrew Turner, HighEarthOrbit
All rights reserved.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright 
		notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
		notice, this list of conditions and the following disclaimer in 
		the documentation and/or other materials provided with the distribution.
    * Neither the name of Andrew Turner nor the names of its contributors 
		may be used to endorse or promote products derived from this software 
		without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
//

#import "IPMenulet.h"

@implementation IPMenulet
-(void)dealloc
{
    [statusItem release];
	[super dealloc];
}

- (void)awakeFromNib
{
    statusItem = [[[NSStatusBar systemStatusBar]
            statusItemWithLength:NSVariableStatusItemLength] retain];
    [statusItem setHighlightMode:YES];
    [statusItem setTitle:[NSString stringWithString:@"0.0.0.0"]]; 
    [statusItem setEnabled:YES];
	[statusItem setToolTip:@"External IP Address"];
	
	NSBundle *bundle = [NSBundle bundleForClass:[self class]];

//	Removed in order to allow menu drop-down
	[statusItem setAction:@selector(updateIPAddress:)];
	[statusItem setTarget:self];
	
	updateTimer = [[NSTimer scheduledTimerWithTimeInterval:(1000.0)
					target:self
					selector:@selector(updateIPAddress:)
					userInfo:nil
					repeats:YES] retain];
    [updateTimer fire];

}

-(IBAction)updateIPAddress:(id)sender
{

	[statusItem setTitle:[NSString stringWithString:@"Updating"]]; 
  
	// This line displays an image as the menulet title 
	// you will need to connect up the drop-down menu
//	[statusItem setImage:menuIcon];

	NSString *ipAddr = [NSString stringWithContentsOfURL:
		[NSURL URLWithString:@"http://whatismyip.org/"]];

	if(ipAddr != NULL)
	{
		// This line displays the IP address as the menulet title
		[statusItem setTitle:[NSString stringWithString:ipAddr]]; 
		
		// This line displays the IP address as a menulet drop-down
//		[ipMenuItem setTitle:[NSString stringWithString:ipAddr]];

		// This line displays an image 
//		[statusItem setImage:NULL];
	}
//	[statusItem setTitle:[NSString stringWithString:@""]]; 

}



@end
